%define LANG ru
%define ENC1 KOI8-R
%define ENC2 CP1251

Name: man-pages-%LANG
Version: 0.7
Release: alt23

Summary: Russian translations of OS GNU/*/Linux manpages
Summary(ru_RU.KOI8-R):       GNU/*/Linux
License: distributable
Group: System/Internationalization
Url: http://alexm.here.ru/manpages-ru/
Packager: Aleksandr Blokhin <sass@altlinux.org>
BuildArch: noarch

Icon: books-%LANG.xpm
Source: %url/download/manpages-ru-%version.tar.bz2
Source1: manpages-ALT.tar.bz2
Source2: man-postfix.tar.bz2
Source3: man-tcb-ru.tar.bz2
Patch0: combo.patch.bz2
Patch2: postfix.patch.bz2
Patch4: %name-1.41.patch.gz

Obsoletes: man-%LANG, manpages-%LANG, man-pages-%LANG-%ENC1, man-pages-%LANG-%ENC2
Provides: man-pages-%LANG = %version
PreReq: man >= 1.5k

%description
A small collection of man pages (documentation) from the Linux Documentation
Project (LDP) translated to russian.  The man pages are organized into the
following sections: Section 1, user commands; Section 2, system
calls; Section 3, libc calls; Section 4, devices (e.g., hd, sd); Section 5,
file formats and protocols (e.g., wtmp, /etc/passwd, nfs); Section 6, games
(intro only); Section 7, conventions, macro packages, etc. (e.g., nroff,
ascii); and Section 8, system administration.

%description -l ru_RU.KOI8-R
       
,   .     
:  1,  ;  2,  ;
 3,    C;  4,  (,
hd, sd);  5,     (, wtmp,
/etc/passwd, nfs);  6,  ( );  7,
, -,  . . (, nroff, ascii);  
8,  .

%prep
%setup -q -a1 -a2 -a3 -n manpages-%LANG-%version
%patch0 -p1
%patch2 -p1
%patch4 -p1

%install
%__mkdir_p $RPM_BUILD_ROOT%_mandir/%LANG/man{1,2,3,4,5,6,7,8,9,n}
%__mkdir_p $RPM_BUILD_ROOT%_cachedir/man/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

make install \
	INSTALL="%__install -p -m644" \
	INSTALLPATH=$RPM_BUILD_ROOT%_mandir \
	LANG_SUBDIR=%LANG \
	COMPRESS=none \
	#

echo %ENC1 >$RPM_BUILD_ROOT%_mandir/%LANG/.charset

%post -p /etc/cron.daily/makewhatis

%postun
if [ "$1" = 0 -a ! -d %_mandir/%LANG ] ; then
       %__rm -rf %_cachedir/man/%LANG
fi

%files
%doc README NEWS FAQ
%_mandir/*
%dir %_cachedir/man/*
%defattr(775,root,man,775)
%_cachedir/man/*/cat*

%changelog
* Fri Dec 20 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.7-alt23
- Added gendiff.1, lzop.1, autofs.8

* Tue Nov 26 2002 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.7-alt22
- Updated man pages for postfix
- Added pppdump.8, pppstats.8, wget.1, procmail.1, sed.1
- Fixed Provides and russian description

* Mon Nov 04 2002 Dmitry V. Levin <ldv@altlinux.org> 0.7-alt21
- Merged subpackages back to single package;
  requires recent man.
- Rewritten %%install script.
- Updated summary and description.

* Wed Jul 17 2002 Sass <sass@altlinux.ru> 0.7-alt20
- fixed typo's in ssh.1

* Fri Jun 14 2002 Sass <sass@altlinux.ru> 0.7-alt19
- updated muttrc.5

* Mon Jun 03 2002 Sass <sass@altlinux.ru> 0.7-alt18
- corrected some mistakes

* Mon May 27 2002 Sass <sass@altlinux.ru> 0.7-alt17
- added translations apt.conf.5, sources.list.5, apt-cache.8, 
  apt-cdrom.8, apt-config.8, apt-get.8, apt.8

* Tue May 14 2002 Sass <sass@altlinux.ru> 0.7-alt16
- added gpg.1, vim.1, xinetd.conf.5

* Wed Apr 10 2002 Sass <sass@altlinux.ru> 0.7-alt15
- updates in chgrp.1, chmod.1, chown.1, cp.1 to man-pages-1.41 
- added nmap.1, ldif.5, apt.8, apt-cdrom.8
- fixed typo

* Mon Mar 18 2002 Sass <sass@altlinux.ru> 0.7-alt14
- updated update-alternatives.8

* Mon Mar 11 2002 Sass <sass@altlinux.ru> 0.7-alt13
- fixed typo

* Thu Mar 05 2002 Sass <sass@altlinux.ru> 0.7-alt12
- Bugfix release

* Mon Mar 04 2002 Sass <sass@altlinux.ru> 0.7-alt11
- Added man-tcb-ru.tar.bz2 from Dmitry V. Levin <ldv@altlinux.ru>
- Added initlog.1, xinetd.log.8 from Alex Savvin <savvin@mail.ru>
- Updated install.1

* Sun Feb 24 2002 Sass <sass@altlinux.ru> 0.7-alt10
- Added man-postfix.tar.bz2 by Alex Savvin <savvin@mail.ru>
- Added patch for man-postfix

* Thu Feb 21 2002 Sass <sass@altlinux.ru> 0.7-alt9
- Added w.1

* Sun Feb 03 2002 Sass <sass@altlinux.ru> 0.7-alt8
- Updated translations: sudoers.5, sudo.8, visudo.8

* Wed Jan 09 2002 Sass <sass@altlinux.ru> 0.7-alt7
- Added Summary & description in CP1251 encoding

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.7-alt6
- Updated package requires.
- Updated %post scripts.

* Mon Nov 26 2001 Sass <sass@altlinux.ru> 0.7-alt5
- Fixed access rights in man5
- Added new translations: xinetd.8, ftpd-BSD.8
- Removed makewhatis.%LANG script.
- Updated spec

* Fri Nov 23 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.7-alt3
- Fixed %%postun scripts.
- Updated makewhatis.%LANG script.
- Updated package requires.

* Thu Nov 22 2001 Sass <sass@altlinux.ru> 0.7-alt2
- added manpage ftpd-BSD.8

* Sat Nov 3 2001 Sass <sass@altlinux.ru> 0.7-alt1
- 0.7
- Updated spec
- Added scripts
- manpages-RE now known as manpages-ALT
- Updated manpages: make-ssh-known-hosts.1, scp.1, sftp.1,
  ssh-add.1, ssh-agent.1, ssh-copy-id.1, ssh-keygen.1,
  ssh-keyscan.1, ssh.1, sftp-server.8, sshd.8

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.6-ipl4mdk
- FHSification.
- Updated manpages.
- Kicked out obsoleted scripts.

* Wed Feb 14 2001 AEN <aen@logic.ru> 0.6-ipl3mdk
- adder rpm.8 & rpm2cpio.8 from Dmitry Levin

* Fri Jan 26 2001 AEN <aen@logic.ru> 0.6-ipl2mdk
- two packages
- 0.6
- rpm.8 added

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-12mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-11mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.1-10mdk
- Group: System/Internationalization
- added "Prereq: sed grep man"
- spechelper, dir permissions

* Wed Dec 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added 'man drake' from Aleksey Smirnov

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Fri Oct 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed the colours of the icon

* Fri Jul 23 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted the rpm package to the Mandrake format (added icon, makewhatis
  scripts, %post script, improved %files etc)

* Tue May 20 1999 Alexei Mikhalev <leha@linuxfan.com>
- Initial version.
